      subroutine rkfcow(rt,y,yp)

      implicit double precision(a-h,o-z)

      common/misc/l,lhat,lindex,nsurf
      common/dmisc/period,grav,pi,pi4,p43,eps,verg,eig,eigt,y3i,y3t,
     1  amass
      common/splinq/vq(6)
      real*8 l,lhat,lindex,y(2),yp(2)

      call splintl(rt,vq)
      yp(1)=y(1)*(vq(2)-3.+lindex)+y(2)*(lhat*vq(1)/eigt-vq(2))
      yp(2)=y(1)*(eigt/vq(1)-vq(3))+y(2)*(1.-vq(4)+vq(3)+lindex)
      do 1 i=1,2
        yp(i)=yp(i)*vq(5)
1     continue

      return
      end

************************************************************************

